## org.bn.compiler.parser.model
Class AsnTaggedType

    java.lang.Object
      org.bn.compiler.parser.model.AsnTaggedType

    public class AsnTaggedType

extends java.lang.Object

Field Summary
`boolean` `isDefinedType`
`java.lang.String` `name`
`AsnTag` `tag`
`java.lang.String` `tagDefault`
`java.lang.String` `typeName`
`java.lang.Object` `typeReference`

Constructor Summary
`AsnTaggedType()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isDefinedType

    public boolean isDefinedType

### name

    public java.lang.String name

### tag

    public AsnTag tag

### tagDefault

    public java.lang.String tagDefault

### typeName

    public java.lang.String typeName

### typeReference

    public java.lang.Object typeReference

Constructor Detail

### AsnTaggedType

    public AsnTaggedType()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`